<< cell2sos | FOSSEE_Signal_Processing_Toolbox | cheb1ap >>

FOSSEE_Signal_Processing_Toolbox >> FOSSEE_Signal_Processing_Toolbox > cheb

# cheb

Compute the Chebyshev polynomial of the first kind.

### Syntax

    T = cheb(n, x)

### Parameters

n:

  Non-negative integer. Order of the Chebyshev polynomial.

x:

  Scalar or array. Input values.

T:

  Scalar or array. Values of the Chebyshev polynomial of the first kind.

### Description

This function computes the Chebyshev polynomial of the first kind of order `n` for the input values `x`. The function supports both scalar and array inputs for `x`.

### Examples

    T = cheb(3, 0.5)

Report an issue
<< cell2sos | FOSSEE_Signal_Processing_Toolbox | cheb1ap >>